Subject: Re: bug#14375: 24.3; Many, Random Crashes, on Mac OS X

From: Christopher Genovese <[email-masked]>
Date: Mon, 13 May 2013 14:12:48 -0400

With NSZombieEnabled set to YES as instructed, I got the following on the
most
recent crash

2013-05-13 13:17:12.964 Emacs[66253:1307] *** -[CTFontDescriptor
objectForKey:]: message sent to deallocated instance 0x1336d9920

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007fff8ddf6d57 in ___forwarding___ ()
(gdb)

That's it. Emacs disappeared at that point and hung around; eventually I had
to Force Quit.

This seems to support the Zombie Hypothesis. What should I do about it?

I've put the backtrace below. (bt full gave no symbol table
information, and xbacktrace does not appear to be available on my gdb.)

The previous crash happened shortly after our correspondence before
I changed the environment setting.  I've included the top (for brevity)
of that backtrace below. It seems to be a null pointer access.
Again, nsfont_open is showing up in both.

Thanks for your help,

   Chris

Stack trace for Zombie Enabled Crash:

#0  0x00007fff8ddf6d57 in ___forwarding___ ()
#1  0x00007fff8ddf6c38 in __forwarding_prep_0___ ()
#2  0x00000001001703d5 in ns_attribute_fvalue ()
#3  0x000000010016e733 in nsfont_open ()
#4  0x0000000100108be0 in font_open_entity ()
#5  0x0000000100108d3c in font_load_for_lface ()
#6  0x0000000100088db5 in realize_face ()
#7  0x0000000100089c65 in lookup_face ()
#8  0x000000010008b6c0 in face_at_buffer_position ()
#9  0x0000000100043178 in handle_face_prop ()
#10 0x0000000100042750 in handle_stop ()
#11 0x0000000100041bc4 in next_element_from_buffer ()
#12 0x0000000100014be0 in get_next_display_element ()
#13 0x000000010002125a in display_line ()
#14 0x0000000100020bd6 in try_window ()
#15 0x000000010003b20d in redisplay_window ()
#16 0x00000001000407b2 in redisplay_window_0 ()
#17 0x00000001000f82e3 in internal_condition_case_1 ()
#18 0x0000000100038119 in redisplay_windows ()
#19 0x000000010001db42 in redisplay_internal ()
#20 0x00000001000204c8 in redisplay_preserve_echo_area ()
#21 0x000000010000621b in Fredisplay ()
#22 0x00000001000f9930 in Ffuncall ()
#23 0x000000010012a305 in exec_byte_code ()
#24 0x00000001000f66ca in eval_sub ()
#25 0x00000001000f8013 in internal_lisp_condition_case ()
#26 0x000000010012af11 in exec_byte_code ()
#27 0x00000001000fa20b in funcall_lambda ()
#28 0x00000001000f97ce in Ffuncall ()
#29 0x00000001000f9d71 in call0 ()
#30 0x00000001000f8193 in internal_condition_case ()
#31 0x0000000100093b06 in safe_run_hook_funcall ()
#32 0x00000001000f9c15 in run_hook_with_args ()
#33 0x0000000100091586 in safe_run_hooks ()
#34 0x00000001000b9903 in run_exit_minibuf_hook ()
#35 0x00000001000f5fc1 in unbind_to ()
#36 0x00000001000b7584 in read_minibuf ()
#37 0x00000001000b6aee in Fread_from_minibuffer ()
#38 0x00000001000f67b9 in eval_sub ()
#39 0x00000001000f6922 in Fprogn ()
#40 0x00000001000fa1d6 in funcall_lambda ()
#41 0x00000001000f97ce in Ffuncall ()
#42 0x000000010012a305 in exec_byte_code ()
#43 0x00000001000fa20b in funcall_lambda ()
#44 0x00000001000f97ce in Ffuncall ()
#45 0x000000010012a305 in exec_byte_code ()
#46 0x00000001000f66ca in eval_sub ()
#47 0x00000001000f7c82 in internal_catch ()
#48 0x000000010012aea8 in exec_byte_code ()
#49 0x00000001000fa20b in funcall_lambda ()
#50 0x00000001000f97ce in Ffuncall ()
#51 0x000000010012a305 in exec_byte_code ()
#52 0x00000001000fa20b in funcall_lambda ()
#53 0x00000001000f97ce in Ffuncall ()
#54 0x000000010012a305 in exec_byte_code ()
#55 0x00000001000fa20b in funcall_lambda ()
#56 0x00000001000f97ce in Ffuncall ()
#57 0x00000001000f521d in Fcall_interactively ()
#58 0x00000001000f9954 in Ffuncall ()
#59 0x00000001000f9dee in call3 ()
#60 0x000000010009061d in command_loop_1 ()
#61 0x00000001000f8193 in internal_condition_case ()
#62 0x000000010009fb15 in command_loop_2 ()
#63 0x00000001000f7c82 in internal_catch ()
#64 0x000000010008f9e5 in recursive_edit_1 ()
#65 0x000000010008fb29 in Frecursive_edit ()
#66 0x000000010008ea80 in main ()

Top of the Stack trace for previous crash:

Program received signal EXC_BAD_ACCESS, Could not access memory.
Reason: 13 at address: 0x0000000000000000
0x00007fff83fc0210 in objc_msgSend_vtable8 ()

#0  0x00007fff83fc0210 in objc_msgSend_vtable8 ()
#1  0x00000001001703d5 in ns_attribute_fvalue ()
#2  0x000000010016e733 in nsfont_open ()
#3  0x0000000100108be0 in font_open_entity ()
#4  0x0000000100108d3c in font_load_for_lface ()
#5  0x0000000100088db5 in realize_face ()
#6  0x0000000100089c65 in lookup_face ()
#7  0x000000010008b6c0 in face_at_buffer_position ()
#8  0x0000000100043178 in handle_face_prop ()
#9  0x0000000100042750 in handle_stop ()
#10 0x00000001000143cd in start_display ()
#11 0x0000000100020b9d in try_window ()
#12 0x000000010003b20d in redisplay_window ()
#13 0x00000001000407b2 in redisplay_window_0 ()
#14 0x00000001000f82e3 in internal_condition_case_1 ()
#15 0x0000000100038119 in redisplay_windows ()
#16 0x0000000100038120 in redisplay_windows ()
#17 0x0000000100038120 in redisplay_windows ()
#18 0x000000010001db42 in redisplay_internal ()
#19 0x0000000100094795 in read_char ()
#20 0x0000000100091cd0 in read_key_sequence ()
#21 0x0000000100091357 in command_loop_1 ()